Skip to main content
GET
https://tickward.com/api/v1
/
projects
/
{project_id}
/
timers
List timers
curl --request GET \
  --url https://tickward.com/api/v1/projects/{project_id}/timers \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "object": "timer",
      "id": "timer_123",
      "project_id": "project_123",
      "project_name": "Travel",
      "label": "Flight to Tokyo",
      "target_date": "2026-10-10T09:30:00.000Z",
      "effective_target_date": "2026-10-10T09:30:00.000Z",
      "timezone": "Asia/Tokyo",
      "created_at": "2026-06-07T12:00:00.000Z",
      "updated_at": "2026-06-07T12:00:00.000Z",
      "archived_at": null,
      "color": "#2563eb",
      "description": "Pack before leaving for the airport.",
      "space_id": "travel",
      "shared_at": null,
      "notify": true,
      "recurrence": null,
      "pinned": false,
      "image": null
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
default:tw_your_api_key
required

Use a tickward API key from Settings. API keys start with tw_. Store keys as secrets and send them as Authorization: Bearer <key>.

Path Parameters

project_id
string
required

Response

Timer list.

List response for timers in a project.

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required